{
  "codeName" : "Main",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSFORMS/Main.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    }
  },
  "logicName" : "主编辑表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
  },
  "getPSControlRenders" : [ {
    "name" : "layout",
    "getPSLayoutPanel" : {
      "codeName" : "Usr1127834506",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSPANELS/Usr1127834506.json",
      "layoutMode" : "FLEX",
      "logicName" : "搜索表单自定义布局",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      },
      "getPSControlParam" : { },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getRootPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "control_content",
        "getPSLayout" : {
          "dir" : "row",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "control_searchform",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : 1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "搜索表单",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "searchform",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "buttons",
        "getPSLayout" : {
          "dir" : "row-reverse",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : 0,
          "layout" : "FLEX",
          "shrink" : 0
        },
        "getPSPanelItems" : [ {
          "actionType" : "UIACTION",
          "buttonStyle" : "DEFAULT",
          "caption" : "重置",
          "itemStyle" : "DEFAULT",
          "itemType" : "BUTTON",
          "name" : "reset",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "layout_reset"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSUIAction" : {
            "caption" : "重置",
            "codeName" : "Reset",
            "fullCodeName" : "Reset",
            "name" : "重置（搜索栏）",
            "predefinedType" : "UTIL_RESET",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Reset",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "重置",
          "showCaption" : true
        }, {
          "actionType" : "UIACTION",
          "buttonStyle" : "DEFAULT",
          "caption" : "搜索",
          "itemStyle" : "DEFAULT",
          "itemType" : "BUTTON",
          "name" : "ok",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "layout_ok"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSUIAction" : {
            "caption" : "搜索",
            "codeName" : "Search",
            "fullCodeName" : "Search",
            "name" : "搜索（搜索栏）",
            "predefinedType" : "UTIL_SEARCH",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Search",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "搜索",
          "showCaption" : true
        } ]
      } ],
      "layoutPanel" : true,
      "name" : "layout",
      "modelid" : "CC424120-520E-4BE6-8521-295B6DE0F76F",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "renderType" : "LAYOUTPANEL"
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "REGINFOID",
      "codeName" : "ReginfoId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "REGINFONAME",
      "codeName" : "ReginfoName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "reginfoname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "REGINFONAME",
      "codeName" : "ReginfoName"
    }
  }, {
    "id" : "department",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "DEPARTMENT",
      "codeName" : "DepartMent"
    }
  }, {
    "id" : "age",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "AGE",
      "codeName" : "Age"
    }
  }, {
    "id" : "address",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "ADDRESS",
      "codeName" : "Address"
    }
  }, {
    "id" : "reginfoid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "REGINFOID",
      "codeName" : "ReginfoId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "111",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "caption" : "学员登记信息名称",
      "codeName" : "reginfoname",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "reginfoname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "REGINFONAME",
        "codeName" : "ReginfoName"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 200,
        "name" : "reginfoname"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "单位",
      "codeName" : "department",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "department",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "DEPARTMENT",
        "codeName" : "DepartMent"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "department"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "年龄",
      "codeName" : "age",
      "dataType" : 9,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "age",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "AGE",
        "codeName" : "Age"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "age"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "家庭住址",
      "codeName" : "address",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "address",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ADDRESS",
        "codeName" : "Address"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "address"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "学员登记信息标识",
      "codeName" : "reginfoid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "reginfoid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "REGINFOID",
        "codeName" : "ReginfoId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "reginfoid"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    }
  },
  "noTabHeader" : true,
  "modelid" : "d3068040622af7c5472aeb30d21d9f03",
  "modeltype" : "PSDEFORM_EDITFORM"
}